class SDLPanel : public wxPanel {
    DECLARE_CLASS(SDLPanel)
    DECLARE_EVENT_TABLE()

public:
	void Lock();
	void Unlock();
	SDL_Surface *GetSurface();
    void CreateSurface();
	void Update();
    
	SDL_Surface *surface;
    
private:

	int _width; 
	int _height; 

	void OnSize( wxSizeEvent& event );
    void OnPaint(wxPaintEvent &event);
    void OnEraseBackground(wxEraseEvent &event);
    void OnIdle(wxIdleEvent &event);
	
public:
    SDLPanel(wxWindow *parent);
    ~SDLPanel();
};

